# Binypt - Cryptocurrency Chart Data Downloader

[![PyPI - Version](https://img.shields.io/pypi/v/binypt-cli?color=pink)](https://github.com/Tejaromalius/Binypt-cli/blob/main/pyproject.toml)
[![PyPI - License](https://img.shields.io/pypi/l/binypt-cli?color=blue)](https://github.com/Tejaromalius/Binypt-cli/blob/main/LICENSE)
[![PyPI - Status](https://img.shields.io/pypi/status/binypt-cli?color=%20%23239b56%20)](https://pypi.org/project/binypt-cli/)

## Overview

**Binypt** is a versatile Python command-line utility tool that allows you to effortlessly download historical cryptocurrency chart data from the Binance exchange. Whether you're a trader, researcher, or just a crypto enthusiast, Binypt simplifies the process of collecting and exporting candlestick data for your preferred trading pairs and time intervals.

## Installation

Before using Binypt, make sure you have the required dependencies installed:

```bash
pip install binypt-cli
```

## Usage

Binypt offers a range of options to tailor your data collection. Here's how to use it:

```bash
$ binypt -p <TRADING_PAIR> -i <INTERVAL> -od <OPEN_DATE> -cd <CLOSE_DATE> [OPTIONS]
```

### Required Arguments

- `-p`, `--trading-pair`: Specify the trading pair symbol (e.g., BTCUSDT).
- `-i`, `--interval`: Set the candlestick interval (e.g., 1h, 1d, 1w).
- `-od`, `--open-date`: Define the start date for data collection (YYYY-MM-DD/HH:mm:ss).
- `-cd`, `--close-date`: Define the end date for data collection (YYYY-MM-DD/HH:mm:ss).

### Optional Arguments

- `-o`, `--output-path`: Path to the output file for data storage. Supported formats: .csv, .excel, .pkl. (Default: binypt_data.csv)
- `-hr`, `--add-hr-time`: Include human-readable time format in the output data.
- `-v`, `--verbose`: Enable verbose logging for debugging purposes.

## Examples

### Basic Usage

Download 1-hour candlestick data for the BTCUSDT trading pair from January 1, 2023, to January 10, 2023, and save it as "btc_data.csv":

```bash
$ binypt -p BTCUSDT -i 1h -od 2023-01-01/00:00:00 -cd 2023-01-10/23:59:59 -o btc_data.csv
```

### Verbose Mode

Enable verbose logging to get detailed information during data retrieval:

```bash
$ binypt -p BTCUSDT -i 1h -od 2023-01-01/00:00:00 -cd 2023-01-10/23:59:59 -v
```

### Human-Readable Time Format

Include human-readable time format in the output data:

```bash
$ binypt -p BTCUSDT -i 1h -od 2023-01-01/00:00:00 -cd 2023-01-10/23:59:59 -hr
```

## Output

Binypt will download the requested data and save it in the specified format and file path. The data will be ready for further analysis or visualization.

## License

This software is distributed under the MIT License. You are free to use, modify, and distribute it as needed. Please refer to the LICENSE file for more details.

**Happy trading, and may your charts always be green!** 🚀💰

---
[![Generated by ChatGPT](https://img.shields.io/badge/Generated%20by-ChatGPT-45b39d.svg)](https://chat.openai.com/)